package com.loafle.overflow.module.sensor.service;

import com.loafle.overflow.module.sensor.dao.SensorItemDAO;
import com.loafle.overflow.module.sensor.model.Sensor;
import com.loafle.overflow.module.sensor.model.SensorItem;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */
@Service("SensorItemService")
public class SensorItemService {

    @Autowired
    private SensorItemDAO sensorItemDAO;

    public SensorItem regist(SensorItem sensorItem) {
        return this.sensorItemDAO.save(sensorItem);
    }

    public SensorItem read(String id) {
        return this.sensorItemDAO.findOne(Long.valueOf(id));
    }

    public List<SensorItem> readAllBySensor(Sensor sensor) {
        return this.sensorItemDAO.findAllBySensor(sensor);
    }

    public void remove(SensorItem sensorItem) {
        this.sensorItemDAO.delete(sensorItem);
    }
}
