package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaCrawlerInputItem;
import com.loafle.overflow.spring.AppConfigTest;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class MetaCrawlerInputItemServiceTest {

    @Autowired
    private MetaCrawlerInputItemService crawlerInputItemService;

    @Test
    public void readAllByMetaCrawler() throws Exception {

        MetaCrawler metaCrawler = new MetaCrawler();
        metaCrawler.setId((short)1);

        List<MetaCrawlerInputItem> crawlerInputItems = this.crawlerInputItemService.readAllByMetaCrawler(metaCrawler);

        Assert.assertNotEquals(crawlerInputItems.size(), 0);

    }

}